# yaz_wait

(PHP 4 >= 4.0.1, PECL yaz >= 0.9.0)

yaz_wait — Attend l'exécution d'une requête

### Description

yaz_wait(array `&$options` = ?): mixed

Cette fonction exécute une activité réseau (bloquée) pour les demandes en attente qui ont été préparées par les fonctions yaz_connect() yaz_search(), yaz_present(), yaz_scan() et yaz_itemorder()

yaz_wait() se termine lorsque tous les hôtes ont terminé leurs requêtes (éventuellement en cas d'erreur).

### Liste de paramètres

`options`

  Un tableau associatif des options :

  `timeout`

    Spécifie un délai d'attente en secondes. Si un serveur n'a pas répondu dans les délais, il est considéré comme mort et yaz_wait() se termine. La valeur par défaut pour le délai est de 15 secondes.

  `event`

    Un booléen.

### Valeurs de retour

Cette fonction retourne `true` en cas de succès ou `false` si une erreur survient. En mode événement, la fonction retourne une ressource ou `false` si une erreur survient.